[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.IsFullHeightVisible

True if the entire node is visible in the display area for the associated TreeView control.

## Declaration

Source position: comctrls.pp line 3162

`public property TTreeNode.IsFullHeightVisible : Boolean read IsNodeHeightFullVisible;`

## Description

IsFullHeightVisible is a read-only Boolean property which indicates if the entire tree node is visible in the display area for the associated TreeView control.

The IsNodeHeightFullVisible method in TreeView is called to get the value for the property. If the TreeView control has not been assigned, the ParentsExpandedVisible method is used to get the return value.

IsFullHeightVisible is used in the SelectionVisible method in TCustomTreeView when MultiSelect has not been enabled for the tree view control.